!(function($) {
    "use strict";
    // Activate smooth scroll on page load with hash links in the url
    $(document).ready(function() {
      if (window.location.hash) {
        var initial_nav = window.location.hash;
        if ($(initial_nav).length) {
          var scrollto = $(initial_nav).offset().top - scrolltoOffset;
          $('html, body').animate({
            scrollTop: scrollto
          }, 1500, 'easeInOutExpo');
        }
      }
    });
    
    // Navigation active state on scroll
    var nav_sections = $('section');
    var main_nav = $('.nav-menu, .mobile-nav');
  
    $(window).on('scroll', function() {
      var cur_pos = $(this).scrollTop() + 200;
  
      nav_sections.each(function() {
        var top = $(this).offset().top,
          bottom = top + $(this).outerHeight();
  
        if (cur_pos >= top && cur_pos <= bottom) {
          if (cur_pos <= bottom) {
            main_nav.find('li').removeClass('active');
          }
          main_nav.find('a[href="#' + $(this).attr('id') + '"]').parent('li').addClass('active');
        }
        if (cur_pos < 300) {
          $(".nav-menu ul:first li:first").addClass('active');
        }
      });
    });
  
    // Toggle .header-scrolled class to #header when page is scrolled
    $(window).scroll(function() {
      if ($(this).scrollTop() > 100) {
        $('#header').addClass('header-scrolled');
      } else {
        $('#header').removeClass('header-scrolled');
      }
    });
  
    if ($(window).scrollTop() > 100) {
      $('#header').addClass('header-scrolled');
    }

    // Back to top button
    $(window).scroll(function() {
        if ($(this).scrollTop() > 100) {
        $('.back-to-top').fadeIn('slow');
        } else {
        $('.back-to-top').fadeOut('slow');
        }
    });

    $('.back-to-top').click(function() {
        $('html, body').animate({
        scrollTop: 0
        }, 1500, 'easeInOutExpo');
        return false;
    });
    
    $('#qr-slider').owlCarousel({
        loop:true,
        margin:30,
        nav:false,
        dots: false,
        items:3,
    })
    
    $('#tie-ups-slide').owlCarousel({
      loop: false,
      margin: 0,
      nav: true,
      dots: false,
      autoplay: true,         
      autoplayTimeout: 3000,    
      autoplayHoverPause: true, 
      responsive: {
          0: {
              items: 1
          },
          600: {
              items: 1
          },
          1000: {
              items: 1
          }
      }
  });
  
    $('#project-gallery-slider1,#project-gallery-slider2,#project-gallery-slider3,#project-gallery-slider4,#project-gallery-slider5,#project-gallery-slider6,#project-gallery-slider7').owlCarousel({
      loop:true,
      margin:20,
      nav:true,
      dots: false,
      responsive:{
          0:{
              items:1
          },
          600:{
              items:2
          },
          1000:{
              items:3
          }
      }
    })
    $( ".owl-prev").html('<i class="fa-solid fa-angle-left"></i>');
    $( ".owl-next").html('<i class="fa-solid fa-angle-right"></i>');


})(jQuery);

function closeForm() {
    const body = document.getElementById('home');
    body.classList.remove('show');
    var myButtonClasses = document.getElementById("register-modal").classList;
    if (myButtonClasses.contains("show")) {
        myButtonClasses.remove("show");
    } else {
        myButtonClasses.add("show");
    }
}
setTimeout(function () {
    var element = document.getElementById("register-modal");
    element.classList.add("show");
    const body = document.querySelector('html');
    body.classList.add('show');
}, 7000);

function counter(){   
  $('.count').each(function(){
      if ($(this).hasClass('start')){
          var elementTop = $(this).offset().top;
          var elementBottom = elementTop + $(this).outerHeight();
          var viewportTop = $(window).scrollTop();
          var viewportBottom = viewportTop + $(window).height();
          if(elementBottom > viewportTop && elementTop < viewportBottom){                               
              if(($(this).text()) % 1 === 0){
                  var decimalpoint = 0;
              }else{
                  var decimalpoint = ($(this).text()).toString().split(".")[1].length;
              }
              $(this).removeClass('start');
              $(this).animate({
                  Counter: $(this).text()
              },{
                  duration: 4000,
                  easing: 'swing',
                  step: function (now) {
                      $(this).text(now.toFixed(decimalpoint).toLocaleString('en'));
                  }
              });
          }
      }
  });
}
$(document).on('ready', counter);
$(window).on('scroll', counter);

$(".legacy-carousel").owlCarousel({
  items: 3,
  loop: true,
  margin: 20,
  // autoplay: true,
  autoplayTimeout: 4000,
  smartSpeed: 1500,
  autoplayHoverPause: true,
  nav: true,
  dots: false,
  center: true,
  responsive: {
    0: {
      items: 1,
    },
    768: {
      items: 1,
    },
    1000: {
      items: 3,
    },
  },
});
$( ".owl-prev").html('<i class="fa-solid fa-angle-left"></i>');
$( ".owl-next").html('<i class="fa-solid fa-angle-right"></i>');